PTHREAD_ATTR(3)

NAME
pthread_attr_getstackaddr, pthread_attr_setstackaddr - thread attribute operations

SYNOPSIS
#include <pthread.h>
int
pthread_attr_getstackaddr(const pthread_attr_t *restrict attr, void **restrict stackaddr);
int
pthread_attr_setstackaddr(pthread_attr_t *attr, void *stackaddr);

DESCRIPTION
Thread attributes are used to specify parameters to pthread_create(). One attribute object can be used in multiple calls to pthread_create(), with or without modifications between calls.

The functions pthread_attr_setstackaddr() and pthread_attr_getstackaddr() respectively, set and get the address at which the stack of the newly created thread should be located. The stackaddr attribute is set within the attr argument, which can subsequently be used as an argument to pthread_create().

RETURN VALUES
If successful, these functions return 0. Otherwise, an error number is returned to indicate the error. pthread_attr_getstackaddr() returns the stackaddr attribute value in stackaddr if successful.

ERRORS
pthread_attr_setstackaddr() will fail if:

[EINVAL]
    Invalid value for attr.

pthread_attr_getstackaddr() will fail if:

[EINVAL]
    Invalid value for attr.

SEE ALSO
pthread_create(3), pthread_attr_init(3), pthread_attr_setdetachstate(3), pthread_attr_setstacksize(3)

STANDARDS
pthread_attr_setstackaddr(), pthread_attr_getstackaddr(), conform to p1003.1-96